/*
 * LembretesRemarcacaoPanel.java
 *
 * Created on 13 de Fevereiro de 2007, 23:24
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.lembretes.marcacoes;

import java.awt.BorderLayout;
import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import siprp.lembretes.LembretesConstants;

import com.evolute.utils.jdo.JDOProvider;
import com.evolute.utils.ui.panel.multipleactionlist.MultipleActionListPanel;


public class LembretesMarcacaoPanel extends JPanel
	implements LembretesConstants
{
	protected JScrollPane listTrabalhadoresScroll;
	protected MultipleActionListPanel listTrabalhadoresPanel;
	
	protected MarcacoesDataProvider provider;
	
	private final Integer empresaID;
	private final Integer estabelecimentoID;
	
	private JDOProvider JDO;
	
	/** Creates a new instance of LembretesRemarcacaoPanel */
	public LembretesMarcacaoPanel( Integer empresaID, Integer estabelecimentoID )
		throws Exception
	{
		this.empresaID = empresaID;
		this.estabelecimentoID = estabelecimentoID;
		provider = MarcacoesDataProvider.getProvider();
		setupComponents();
	}
	
	private void setupComponents()
		throws Exception
	{
		listTrabalhadoresPanel = 
				new MultipleActionListPanel( 
					new MarcacoesActionFactory[]{ },
					new MarcacoesActionFactory[]{ new MarcacoesActionFactory( MarcacoesActionFactory.TRABALHADOR ) } );
		listTrabalhadoresScroll = 
			new JScrollPane( listTrabalhadoresPanel, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
								JScrollPane.HORIZONTAL_SCROLLBAR_NEVER );
		setLayout( new GridLayout( 1, 2 ) );
		JPanel trabalhadoresPanel = new JPanel();
		add( trabalhadoresPanel );
		
		trabalhadoresPanel.setLayout( new BorderLayout() );
		trabalhadoresPanel.add( new JLabel( "Consultas / ECDs", JLabel.CENTER ), BorderLayout.NORTH );
		trabalhadoresPanel.add( listTrabalhadoresScroll, BorderLayout.CENTER );
	
		listTrabalhadoresPanel.showList( provider.getLembretesMarcacaoTrabalhador( empresaID, estabelecimentoID ) );
//		listEstabelecimentosPanel.showList( estabelecimentos.toArray( new IDObject[ estabelecimentos.size() ] ) );
	}
}
